﻿@using Jumbula.Common.Helper
@using Jumbula.Web.WebLogic.UserService
@model ProgramPageViewModel
<section id="programInfo" class="col-sm-12"
         @*data-spy="affix" data-offset-top="15" data-offset-bottom="0"*@>
    <div class="row">
        <div class="row-sm-height">
            <div class="col-xs-12 col-sm-8 col-md-9 col-lg-10 bg col-sm-height col-sm-middle">
                @if (this.GetCurrentRequestType() == RequestType.NotBranded)
                {
                    <a href="@Url.ClubDomain(Model.ClubDomain, this.GetCurrentRequestType() == RequestType.Branded)" title="@Model.ClubDomain">
                        <img itemprop="image" id="programLogo" class="pull-left" src="@Model.Body.ClubLogo" alt="New Event">
                    </a>
                }


                <div itemprop="name" class="ellipsis" title="@Model.Name">
                    <h1 style="display: inline-block;">
                        @Model.Name
                        @if (Model.HasProvider)
                        {

                            @("- ")@Model.ProgramRegStatus

                        }
                    </h1>
                    @if (Model.TypeCategory != ProgramTypeCategory.ChessTournament)
                    {
                        <ul class="list-unstyled list-inline categories">
                            <li>@Model.CategoriesName</li>
                        </ul>
                    }
                </div>
                
                @if (Model.HasProvider && Model.ShowProviderNameInClassPage)
                {
                    <p style="color: #586c7c; margin: 6px 0; font-size: 15px;">@Model.ProviderName</p>

                }

                <address class="jbi-map-pin ellipsis" title="@StringHelper.JoinStringList(new string[]{Model.Body.LocationName,Model.Body.Address.Address}, ", ")">@StringHelper.JoinStringList(new string[] { Model.Body.LocationName, Model.Body.Address.Address }, ", ")@*<a data-target="#MapModal" data-toggle="modal" href="#" class="show-map" aria-hidden="True">(show map)</a>*@</address>
            </div>
            <div class="col-xs-12 col-sm-4 col-md-3 col-lg-2 bg col-sm-height col-sm-middle">
                @{
                    var datesClass = Model.Body.EndDate.Value == Model.Body.StartDate.Value ? "single" : String.Empty;
                }
                <div id="dates" class="@datesClass">
                    <div class="start">
                        <span class="month">@System.Globalization.DateTimeFormatInfo.CurrentInfo.GetMonthName(Model.Body.StartDate.Value.Month).Substring(0, 3)</span>
                        @if (Model.Body.StartDate.Value.Day < 10)
                        {
                            <span class="day">@Model.Body.StartDate.Value.Day.ToString().PadLeft(2, '0')</span>
                        }
                        else
                        {
                            <span class="day">@Model.Body.StartDate.Value.Day</span>
                        }
                        <span class="year">@Model.Body.StartDate.Value.Year</span>
                    </div>
                    @if (Model.Body.EndDate.Value != Model.Body.StartDate.Value)
                    {
                        <div class="end">
                            <span class="month">@System.Globalization.DateTimeFormatInfo.CurrentInfo.GetMonthName(Model.Body.EndDate.Value.Month).Substring(0, 3)</span>
                            @if (Model.Body.EndDate.Value.Day < 10)
                            {
                                <span class="day">@Model.Body.EndDate.Value.Day.ToString().PadLeft(2, '0')</span>
                            }
                            else
                            {
                                <span class="day">@Model.Body.EndDate.Value.Day</span>
                            }
                            <span class="year"> @Model.Body.EndDate.Value.Year </span>
                        </div>
                    }
                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
</section>
@*<div id="programInfoHolder" class="affix-place-holder" data-spy="affix" data-offset-top="15" data-offset-bottom="0"></div>*@